<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class OrdersPaymentStatusEnum
{
    public const NOT_PAID = 1;
    public const HOLD = 2;
    public const PAID = 50;
    public const RETURNED = 51;
    public const TIMEOUT = 100;
    public const CANCELED = 101;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::NOT_PAID,
            self::HOLD,
            self::PAID,
            self::RETURNED,
            self::TIMEOUT,
            self::CANCELED,
        ];
    }
}
